@charset "utf-8";

/* generic styles ----------------------------------- */
body {
  max-width: 1600px;
  margin: 0 auto;
  font-family: 'Vollkorn', serif;
  background-color: #ecdbbd;
}

/* ========== header ========== */
header {
 padding: 30px;
 text-align: center;
}

.logo {
  align-items: center;
  text-decoration: none;
}

.logo-text {
  font-family: 'Vollkorn', serif;
  margin-bottom: 20px;
  font-size: 2.6em;
  color: #000;
}

.headnavi {
  display: flex;
  justify-content: center;
}
  
.headnavi ul {
  display: flex;
  margin: 0;
  padding: 0;
  list-style: none;
  line-height: 10px;
}
  
.headnavi li+ li {
  border-left: 1px solid #000; 
}

.headnavi a {
  display: block;
  padding: 5px;
  color: inherit;
  font-size: 12px;
  text-decoration: none;
}

.headnavi a:hover {
  background-color: rgba(0,0,0,0.3);
}

/* ========== main ========== */
.info1 {
  height: 15em;
  padding: 0;
  background-color: #000;
  color: white;
}

.info1 h2 {
  color: #fff;
  margin: 10px 0px 0px;
  padding: 10px;
  font-size: 2em;
  font-family: 'Orbitron', sans-serif;
}

.info1 p {
  color: #fff;
  margin: 0px;
  padding: 10px;
  font-size: 0.8em;
  line-height: 1.5em;
  font-family: 'Orbitron', sans-serif;
}

.info2 {
  height: 15em;
  padding: 0;
  background: linear-gradient(#444, #333);
  color: white;
}

.info3 {
  height: 15em;
  padding: 0;
  background-color: #000;
  color: white;
}

.figure-img {
  display: block;
  width: 100%;
  height: 15em;
  object-fit: cover;
}

.hover-parent {
  position: relative;
  overflow: hidden;
}

.hover-parent h3{
  color: #fff;
  font-size: 1.5em;
  font-family: 'Orbitron', sans-serif;
  position: absolute;
  bottom: 0;
  right: 0;
  margin-bottom: 10px;
  margin-right: 10px;
}

.hover-parent h4{
  color: #fff;
  font-size: 1.5em;
}

.hover-parent p{
  color: #fff;
  font-size: 1em;
  margin-top: 10px;
  margin-left: 0;
  margin-bottom: 0;
}

.hover-mask {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0,0,0,0.5);
  opacity: 0;
  color: #fff;
  align-items: center;
  padding: 20px;
}

.hover-parent:hover .hover-mask {
	opacity: 1;
}

.hover-mask {
	transition:all 0.6s ease;
	top: 100%;
}
.hover-parent:hover .hover-mask {
	top: 0;
}

/* ========== footer ========== */

footer {
 padding: 20px;
 text-align: center;
}

footer .logo {
  margin-right: 10px;
  height: 60px;
  transform: scaleX(-1);
}

footer .logo-text {
  font-family: 'Vollkorn', serif;
  font-size: 2.6em;
  color: #000;
}

.footernavi {
  display: flex;
  justify-content: center;
}
  
.footernavi ul {
  display: flex;
  margin: 0;
  padding: 0;
  list-style: none;
  line-height: 10px;
}
  
.footernavi li+ li {
  border-left: 1px solid #000; 
}
  
.footernavi div {
  flex: 1;     
}
  
.footernavi div:not(:first-child) { 
  margin-left: 40px;
} 

.footernavi a {
  display: block;
  padding: 5px;
  color: inherit;
  font-size: 12px;
  text-decoration: none;
}

.footernavi a:hover {
  background-color: rgba(0,0,0,0.3);
}

/* ========== SNSメニュー ========== */

.footsns {
  margin-top: 20px;
  margin-bottom: 20px;
}

.footsns ul {
  display: flex;
  justify-content: center;
  margin: 0;
  padding: 0;
  list-style: none;
  line-height: 2em;
}
.footsns a {
  display: block;
  margin-right: 8px;
  padding: 0px;
  color: inherit;
  font-size: 16px;
  text-decoration: none;
  border: solid 1px currentColor;
  width: 2em;
  border-radius: 50%;
  text-align: center;
}

.footsns a:hover {
  background-color: rgba(0,0,0,0.3);
}
  
.copyright {
  font-size: 16px;
  text-align: center;
  font-family: 'Arbutus Slab', serif;
}
/* fade-in,fade-up styles ----------------------------- */

.fade-in {
  transition: opacity 0.4s;
  -moz-transition: opacity 0.4s;
  -webkit-transition: opacity 0.4s;
  -o-transition: opacity 0.4s;
}
.fade-up {
  transition: opacity 0.7s;
  -moz-transition: opacity 0.7s;
  -webkit-transition: opacity 0.7s;
  -o-transition: opacity 0.7s;
  transition: transform 0.7s;
  -moz-transition: transform 0.7s;
  -webkit-transition: transform 0.7s;
  -o-transition: transform 0.7s;
}

/* grid styles ------------------------------------ */
main {
    display: grid;
    grid-template-columns: 1fr 1fr;  
  }

.info1 {
    grid-row: 1/2;
    grid-column: 1/3;
  }

.info3 {
    display: none;
  }

@media (min-width: 480px) and (max-width: 767px) {
  
  main {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
  }
  
  .info1 {
    grid-row: 1/2;
    grid-column: 1/4;
  }
  
  .info3 {
    display: none;
  }
 
  .colum3on {
    display: inherit;
  }
  
}

@media (min-width: 768px) {
  
  main {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  }
  
  .info1 {
    grid-row: 1/2;
    grid-column: 1/3;
  }
  
    .info3 {
    display: inherit;
  }
  
}